@font-face {
    font-family: 'JustSans';
    src: url('https://tecky.tech/JustSans-Regular.ttf') format('truetype');
}
body {
    margin: 0;
    background-color: #1E1E1E;
    font-family: JustSans;
    color: #FFF;

    overflow: hidden;

    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
    
    
    user-select: none;
    -webkit-user-select: none;
}
body::-webkit-scrollbar {
    display: none;
}

.blured {
    padding: 16px;
    border-radius: 30px;
    background: linear-gradient(145deg, rgba(165, 239, 255, 0.2) 0%, rgba(70, 144, 212, 0) 100%);
    backdrop-filter: blur(16px);
    -webkit-backdrop-filter: blur(16px);
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
    border: 2px solid transparent;
    background-clip: padding-box;
}

.blured:not(.semi):not(.lesson .lesson_content.option.blured:not(.selected))::before {
    content: "";
    position: absolute;
    inset: -2px;
    border-radius: 30px;
    padding: 2px;
    z-index: 99;
    background: linear-gradient(to top left, #8726B7, #98F9FF);
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    pointer-events: none;
}

.blured::after {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: 20px;
    background: url("https://tecky.tech/noise.jpeg") no-repeat center/cover;
    opacity: 0.12;
    pointer-events: none;
}



#navbar_blur {
    backdrop-filter: blur(10px); /* Adjust the blur intensity */
    mask-image: linear-gradient(to bottom, transparent, black 60%, black); /* Mask gradient */
    -webkit-mask-image: linear-gradient(to bottom, transparent, black 60%, black); /* Safari compatibility */
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 100px;
    z-index: 998;
}
#menu_blur {
    backdrop-filter: blur(10px); /* Adjust the blur intensity */
    mask-image: linear-gradient(to top, transparent, black 60%, black); /* Mask gradient */
    -webkit-mask-image: linear-gradient(to top, transparent, black 60%, black); /* Safari compatibility */
    position: fixed;
    top: 0px;
    width: 100%;
    height: 100px;
    z-index: 990;
}
.navbar {
    position: fixed;
    bottom: calc((env(safe-area-inset-bottom) / 4) + 10px);
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 60px;
    height: 60px;
    width: 300px;
    z-index: 999;
}
.navbar img {
    width: 30px;
    height: 30px;
}
.navbar #dot {
    position: fixed;
    bottom: 5px;
    left: 35.5px;
    width: 4px;
    aspect-ratio: 1;
    border-radius: 100%;
    background-color: #FFF;
    transition: all 0.2s ease-in-out;
}
pre, code {
    margin: 0 !important;
    padding: 0 !important;
    background: transparent !important;
}



.content{
    position: absolute;
    height: calc(100% - 180px);
    width: 100%;
    max-width: 400px;
    margin: 0;
    left: 50%;
    transform: translateX(-50%);
    overflow: auto;

    transition: all 0.2s;
    opacity: 0;
    pointer-events: none;

    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none;  /* Internet Explorer 10+ */
    
    padding: calc(env(safe-area-inset-top) + 80px) env(safe-area-inset-right) calc(env(safe-area-inset-bottom) + 100px) env(safe-area-inset-left)
}
.content.selected {
    opacity: 1;
    pointer-events: all;
}
.content.desktop {
    max-width: initial;
}

h1, h2, h3, h4, p {
    margin: 0;
    font-weight: 300;
}
.lesson {
    width: calc(100% - 80px);
    margin: 30px auto;
    padding: 20px;
    background-color: #000000;
    border-radius: 30px;
    max-width: 320px;
}
.lesson .lesson_header {
    height: 30px;
    width: 100%;
    border-radius: 30px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
}
.lesson .lesson_header .img {
    aspect-ratio: 1;
    height: 40px;
    padding: 0;
    border-radius: 50px;
}
.lesson .lesson_header img {
    height: 25px;
}
.lesson .lesson_header .title {
    padding-left: 14px;
    width: 100%;
}
.lesson .lesson_header .title p {
    font-size: 12px;
    color: #CCC;
    font-weight: 300;
}
.lesson .lesson_header .title h4 {
    font-size: 20px;
    font-weight: 300;
}
.lesson .lesson_header .title font {
    color: #999;
}
.lesson .lesson_header img {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 25px;
    transform: translate(-50%, -50%);
}
.lesson .lesson_content {
    font-weight: 300;
    font-size: 14px;
    color: #999;
    
    user-select: text !important;
    -webkit-user-select: text !important;
}
.lesson .lesson_content.selected {
    color: #EEE;
}
.lesson .lesson_content:first-of-type {
    margin-top: 20px;
}
.lesson .line {
    width: calc(100% + 40px);
    margin: 10px 0 10px -20px;
    height: 1px;
    background-color: #333;
}
.lesson .social {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
    width: calc(100% - 4px + 20px);
    padding: 14px 10px;
    margin: 10px 0 -20px -20px;
}
.lesson .social img {
    width: 30px;
}
.lesson .social .but, .lesson .social .likes {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
}
.lesson .social .but {
    margin-left: 10px;
    margin-left: 10px;
    transition: all 0.1s ease-in-out;
}
.lesson .social .but p {
    font-size: 12px;
    margin-left: 8px;
}

.lesson .loading {
    min-height: 20px;
    width: calc(100% - 10px);
    border-radius: 30px;
    margin: 5px;
}
.lesson h4.loading {
    min-height: 30px;
}

.lesson .lesson_content.option {
    background: linear-gradient(145deg, rgba(165, 239, 255, 0.2) 0%, rgba(70, 144, 212, 0) 100%);
    border-radius: 30px;
    padding: 10px 20px;
    background-clip: padding-box;
    margin-top: 5px;
    cursor: pointer;
    transition: all 0.2s;
}
.lesson .lesson_content.option textarea {
    background-color: transparent;
    width: 100%;
    padding: 10px 20px;
    margin: -10px -20px;
    border: none;
    font-size: 14px;
    outline: none;
    resize: vertical;
    min-height: 50px;
    color: #FFF;
}

button.blured {
    width: calc(100% - 40px);
    max-width: 358px;
    color: #FFF;
    font-size: 14px;
    cursor: pointer;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}




:root {
    --loading-gradient-start: #3a3a3a;
    --loading-gradient-middle: #4d4d4d;
    --loading-gradient-end: #3a3a3a;
}

@keyframes shine {
    to {
        background-position-x: -200%;
    }
}
.loading {
    background: linear-gradient(110deg, var(--loading-gradient-start) 8%, var(--loading-gradient-middle) 18%, var(--loading-gradient-end) 33%);
    background-size: 200% 100%;
    animation: 1.5s shine linear infinite;
    opacity: 0.5;
}

.cursor {
    width: 5px;
    left: 27.5px;
    position: absolute;
    padding: 0;
    margin: 0;
    transition: all 0.1s ease-in-out;
    
}
.cursor::before {
    border-radius: 0;
}



.code {
    bottom: 60px;
    padding: 16px;
    width: calc(100% - 36px - 40px);
    max-width: calc(400px - 32px - 40px);
    height: 30vh;
    
    z-index: 999;

    position: sticky;
    position: -webkit-sticky;
    top: -80px;
    margin: auto;
}
.code .scroll {
    width: 100%;
    height: 100%;
    max-height: 30vh !important;
    overflow: scroll;
    margin: -16px 0 -16px -16px;
    padding: 16px;
    border-radius: 30px;
}

.menu {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: calc(100% - 16px);
    max-width: calc(400px - 16px);
    position: fixed;
    top: calc(env(safe-area-inset-top) + 10px);
    left: 50%;
    transform: translateX(-50%);
    z-index: 999;
}
.menu img {
    height: 20px;
    padding: 14px;
}
.menu img:nth-child(1), .menu img:nth-child(3) {
    border-radius: 50px;
    background-color: #000000;
}





.progressBox {
    width: 13px;
    height: 13px;
    border-radius: 3px;
    position: relative;
    background-color: #222;
    transition: all 0.1s;
    border: transparent 1px solid;
    opacity: 0.8;
}
.progressBox:hover {
    border: #EEE 1px solid;
}
#progressTable th:last-child {
    padding-left: 10px;
    text-align: right;
}
.progressBox.color-1 {
    background-color: #04471c;
}
.progressBox.color-2 {
    background-color: #058c42;
}
.progressBox.color-3 {
    background-color: #16db65;
}

.progressBox.corner-top-left {
    border-top-left-radius: 10px;
}
.progressBox.corner-top-right {
    border-top-right-radius: 10px;
}
.progressBox.corner-bottom-left {
    border-bottom-left-radius: 10px;
}
.progressBox.corner-bottom-right {
    border-bottom-right-radius: 10px;
}
.contribWindow {
    border-radius: 10px;
    height: 20px;
    top: 0;
    left: 0;
    font-size: 16px;
    width: 250px;
    background-color: #FFF;
    position: absolute;
    transform: translate(-50%, -35px);
    padding: 5px;
    text-align: center;
}
.contribWindow svg {
    width: 40px;
    height: 40px;
    transform: translateY(-14px);
}
@supports (-webkit-backdrop-filter: none) or (backdrop-filter: none) {
    .contribWindow {
        -webkit-backdrop-filter: blur(10px);
        backdrop-filter: blur(10px);
        background-color: rgba(255, 255, 255, 0.2);
    }
    .contribWindowsvg {
        -webkit-backdrop-filter: blur(10px);
        backdrop-filter: blur(10px);
        background-color: rgba(255, 255, 255, 0.2);
    }
}



.section {
    width: calc(100% - 38px - 40px);
    border-radius: 30px;
    box-shadow: none;
    margin: auto;
}
.scroll {
    width: 100%;
    margin: -16px 0 -16px -16px;
    border-radius: 40px;
    padding: 16px;
    overflow: auto;

    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none;  /* Internet Explorer 10+ */
}
.scroll table {
    padding-right: 16px;
}

.grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 20px;
    padding: 20px;
}
.grid .element {
    background-color: #000000;
    border-radius: 40px;
}
.grid .element img {
    width: 100%;
}
.grid .blured h4 {
    font-size: 14px;
    text-align: center;
}

.scroll {
    overflow-y: scroll;
    height: calc(100%);
    padding-top: 90px;
    margin-top: -90px;
}




.ornament{
    position: absolute;
    top: -200px;
    left: 0;
    width: calc(100% - 4px);
    height: 400px;
    margin: 0;
    padding: 0;
    border-radius: 0 0 30px 30px !important;
}

.ornament::before{
    border-radius: 0 0 30px 30px !important;
}

.profile-picture{
    height: 100px;
    aspect-ratio: 1;
    padding: 0;
    border-radius: 80px !important;
    position: absolute;
    top: 150px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 999;
}

.profile-picture::before{
    border-radius: 80px !important;
}

.username{
    display: flex;
    flex-direction: column;
    width: 100%;
    text-align: center;
    margin-top: calc(180px - env(safe-area-inset-top));
    margin-bottom: 20px;
}

.username p{
    font-family: 'JustSans';
    margin: 0;
}

.username p:nth-child(1){
    font-size: 20px;
    color: #fff;
}
.username p:nth-child(2){
    font-size: 15px;
    color: #c9c9c9;
}


.mini_bar {
    width: calc(100% - 40px);
    padding: 0px 20px;
    margin: auto;
}
.mini_bar .button {
    display: inline-block;
    padding: 5px 10px;
    color: #848484;
}
.mini_bar .button.selected {
    color: #FFF;
}
.mini_bar .line {
    width: 100%;
    height: 2px;
    background-color: #848484;
    border-radius: 1px;
}
.mini_bar .line_selector {
    transform: translate(0, -2px);
    height: 2px;
    border-radius: 1px;
    background-color: #FFF;
    transition: all 0.2s ease-in-out;
}
.mini_content {
    width: 100%;
    padding-top: 10px;
    
    position: absolute;
    
    opacity: 0;
    pointer-events: none;
    
    transition: all 0.2s ease-in-out;
}
.content.selected .mini_content.selected {
    opacity: 1;
    pointer-events: all;
}
.content:has(.col1) {
    display: flex;
    flex-direction: row;
}
.content .col1 {
    width: 400px;
}
.content .col2 {
    width: calc(100% - 400px);
    position: sticky;
    position: -webkit-sticky;
    top: 0;
}
.content .big_widget {
    width: calc(100% - 32px - 20px);
    height: calc(50vh - 120px);
    margin-bottom: 20px;
}
